Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Class ISOAppletSelector

    java.lang.Object
      |
      +--opencard.opt.applet.ISOAppletSelector

public class ISOAppletSelector
extends java.lang.Object
implements AppletSelector

The `ISOAppletSelector` is a class providing the `selectApplet` functionality as specified in the `AppletSelector` interface. It uses the SELECT FILE command as requested by ISO7816-5 and standardized by ISO7816-4 norms. It is a helper class, not a regular CardService, as it will always use a CardChannel provided by client CardServices.

Since:
  OCF1.2
See Also:
  `AppletSelector`

Field Summary
`protected static int` | `MAX_APDU_SIZE` Maximum APDU size allowed by card
`protected static byte` | `SELECT_CLASS`
`protected static byte` | `SELECT_INS`
`protected static byte` | `SELECT_P1`
`protected static byte` | `SELECT_P2`
`protected static byte` | `SELECT_SW1_ERROR`
`protected static byte` | `SELECT_SW1_WARNING`
`protected static byte` | `SELECT_SW2_INCORRECTLC`
`protected static byte` | `SELECT_SW2_INCORRECTP1P2`
`protected static byte` | `SELECT_SW2_INVALID`
`protected static byte` | `SELECT_SW2_NOTFOUND`
`protected static byte` | `SELECT_SW2_UNFORMAT`
`protected static byte` | `SELECT_SW2_UNSUPPORTED`
`protected static short` | `SW_OK`

Constructor Summary
`ISOAppletSelector()` Instantiate a `ISOAppletSelector` object.

Method Summary
`AppletInfo` | `selectApplet(opencard.core.service.CardChannel channel, AppletID appletID)` Selects a Card Applet with the specified Application Identifier in the Card. Sends the ISO 7816-5 `SELECT` card command (equal to the ISO 7816-4 `SELECT FILE` command).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_CLASS

    protected static final byte SELECT_CLASS

### SELECT_INS

    protected static final byte SELECT_INS

### SELECT_P1

    protected static final byte SELECT_P1

### SELECT_P2

    protected static final byte SELECT_P2

### SW_OK

    protected static final short SW_OK

### SELECT_SW1_WARNING

    protected static final byte SELECT_SW1_WARNING

### SELECT_SW1_ERROR

    protected static final byte SELECT_SW1_ERROR

### SELECT_SW2_INVALID

    protected static final byte SELECT_SW2_INVALID

### SELECT_SW2_UNFORMAT

    protected static final byte SELECT_SW2_UNFORMAT

### SELECT_SW2_UNSUPPORTED

    protected static final byte SELECT_SW2_UNSUPPORTED

### SELECT_SW2_NOTFOUND

    protected static final byte SELECT_SW2_NOTFOUND

### SELECT_SW2_INCORRECTP1P2

    protected static final byte SELECT_SW2_INCORRECTP1P2

### SELECT_SW2_INCORRECTLC

    protected static final byte SELECT_SW2_INCORRECTLC

### MAX_APDU_SIZE

    protected static final int MAX_APDU_SIZE

  Maximum APDU size allowed by card

Constructor Detail

### ISOAppletSelector

    public ISOAppletSelector()

  Instantiate a `ISOAppletSelector` object.

Method Detail

### selectApplet

    public AppletInfo selectApplet(opencard.core.service.CardChannel channel,
                                   AppletID appletID)
                            throws opencard.core.terminal.CardTerminalException,
                                   opencard.core.service.CardServiceException

  Selects a Card Applet with the specified Application Identifier in the Card.

  Sends the ISO 7816-5 `SELECT` card command (equal to the ISO 7816-4 `SELECT FILE` command). If this command succeeds (response=OK), returns an AppletInfo with the applet AID and the obtained ResponseAPDU stored in the "data" field.

  Specified by:
    selectApplet in interface AppletSelector
  Parameters:
    `channel` - the card channel to be used during this operation.
    `aid` - the card applet application identifier to select.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD